﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls.GanttView;
using Telerik.Windows.Core;

namespace RadGanttViewWPF_1060081
{
    public class MyViewModel : PropertyChangedBase
    {
        private ObservableCollection<GanttTask> tasks;

        public MyViewModel()
        {
            var date = DateTime.Now;

            var ganttAPI = new GanttTask() { Start = date, End = date.AddDays(2), Title = "Design public API" };
            var ganttRendering = new GanttTask() { Start = date.AddDays(2).AddHours(8), End = date.AddDays(4), Title = "Gantt Rendering" };
            var ganttDemos = new GanttTask() { Start = date.AddDays(5), End = date.AddDays(7), Title = "Gantt Demos" };

            var milestone = new GanttTask() { Start = date.AddDays(7), End = date.AddDays(7).AddHours(1), Title = "Review", IsMilestone = true };

            ganttRendering.Dependencies.Add(new Dependency() { FromTask = ganttAPI });
            ganttDemos.Dependencies.Add(new Dependency() { FromTask = ganttRendering });

            var iterationTask = new GanttTask(date, date.AddDays(7), "Iteration 1")
            {
                Children = { ganttAPI, ganttRendering, ganttDemos, milestone }
            };


            this.tasks = new ObservableCollection<GanttTask>() { iterationTask };
        }

        public ObservableCollection<GanttTask> Tasks
        {
            get
            {
                return tasks;
            }
            set
            {
                tasks = value;
                OnPropertyChanged(() => Tasks);
            }
        }
    }
}
